<?php
  ///////////////////////////////////////////////////
  //2010 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

require_once "utils/chlang_osn.php";

$title = $TEXT['search-alf-book'];

require_once "config.php";
require_once "utils/functions.php";
require_once "utils/top.php";

if($result2['administrator'] == 0 && $result2['user'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "utils/bottom.php"; exit();}

if(strlen($_GET['k'])>8) {puterror($result2['skin'],$TEXT['error-paging1']); require_once "utils/bottom_adm.php"; exit();}
if(strlen($_GET['bukva'])>4) {puterror($result2['skin'],$TEXT['error-bukva']); require_once "utils/bottom_adm.php"; exit();}
$_GET['bukva'] = rep($_GET['bukva']);
$_GET['k'] = rep($_GET['k']);
if(empty($_GET['k'])) {$_GET['k']=0;}
$stop_r = $_GET['k'];
if($stop_r == 0) {$lim_ogr = "10";}
else {$lim_ogr = $stop_r.",10";}

$ktblvis = $stop_r+10;
$str = $ktblvis/10;

if(empty($_GET['bukva']))
 {
  if(empty($_POST['bukva'])) {$bukva = "А";}
   else {$bukva = $_POST['bukva'];}
} else {$bukva = $_GET['bukva'];}
?>
<table align="center" border="0" cellpadding="0" cellspacing="0" width="95%">
<tr>
<td align="center">
<?php
    $query_body1 = "SELECT DISTINCT first_bt AS bukva FROM `tbl_book` ORDER BY bukva ";
     $result_body1 = mysqli_query($dbcnx,$query_body1);
     if(!$result_body1) {puterror($result2['skin'],$TEXT['error-tbl3']); require_once "utils/bottom.php"; exit();}
       while($result_body_autor1 = mysqli_fetch_array($result_body1))
        {
        if($bukva == $result_body_autor1['bukva']) {echo "&nbsp;<a class='zagolovok' href='alfbook-search.php?bukva=".$result_body_autor1['bukva']."' title='".$TEXT['alfbook-title'].$result_body_autor1['bukva']."'>".$result_body_autor1['bukva']."</a>";}
         else {echo "&nbsp;<a href='alfbook-search.php?bukva=".$result_body_autor1['bukva']."' title='".$TEXT['alfbook-title'].$result_body_autor1['bukva']."'>".$result_body_autor1['bukva']."</a>";}
        }
?>
</td>
</tr>
</table>
<hr width="70%" />
<table align="center" border="0" cellpadding="3" cellspacing="0" width="90%">
<tbody id="tab" >
<?php
     $query_body = "SELECT tbl_book.book_name, tbl_book.e_book, tbl_book.book_id, tbl_book.vidano, tbl_book.zakazano, tbl_book.cicle_id AS cicl_book, tbl_book.remote_copy, tbl_cicle.cicle
     FROM tbl_book
     LEFT JOIN tbl_cicle ON tbl_book.cicle_id=tbl_cicle.cicle_id
     WHERE tbl_book.first_bt = '".$bukva."' AND tbl_book.visible ='1'
     ORDER BY tbl_book.book_name
     LIMIT $lim_ogr";
     $result_body = mysqli_query($dbcnx,$query_body);
     if(!$result_body) {puterror2($result2['skin'],mysqli_error($result_body)); require_once "utils/bottom.php"; exit();}
       $result_rows = mysqli_num_rows($result_body);
       if($result_rows > 0)
         {
          while($result_body_book= mysqli_fetch_array($result_body))
               {
                       
               if(!empty($result_body_book['remote_copy'] == "yes")) {$result_bl_pic_e = "&nbsp;<img align='top' alt='remote' src='skins/".$result2['skin']."/internet.png' />";}
                 else {$result_bl_pic_e = "";}

               $fl = substr($result_body_book['e_book'],3,255);
                if(!empty($result_body_book['e_book']) && file_exists($fl)) {$e_book = "&nbsp;<img align='top' alt='local' src='skins/".$result2['skin']."/clip.png' />".$result_bl_pic_e;}
                  else {$e_book = "".$result_bl_pic_e;}

               if($result_body_book['cicle'] !== '---')
               {
               $query_book_cicle = mysqli_query($dbcnx,"SELECT COUNT(tbl_book.book_id) AS co_book_id FROM tbl_book WHERE tbl_book.cicle_id='".$result_body_book['cicl_book']."'");
	       $coun_book_cicle = mysqli_fetch_array($query_book_cicle);

               $book = "<a href='extsearch.php?cicle_id=".$result_body_book['cicl_book']."&amp;cicle_ch=on' title='".$TEXT['search-all-cicl']."'>  (".$TEXT['book-cicle']." - ".rep_back($result_body_book['cicle']).", ".$TEXT['global-now-book']." - ".$coun_book_cicle['co_book_id'].")</a>";
               
               if($result_body_book['vidano'] == '3') {$book_name = "<a href='info.php?book_id=".$result_body_book['book_id']."' title='".$TEXT['book-show5']."&nbsp;&#10073;&nbsp;".$TEXT['aut-viewtit']."'><span class='zagolovok_zak'>".rep_back($result_body_book['book_name'])."</span></a>";}
                elseif($result_body_book['vidano'] == '2') {$book_name = "<a href='info.php?book_id=".$result_body_book['book_id']."' title='".$TEXT['book-show3']."&nbsp;&#10073;&nbsp;".$TEXT['aut-viewtit']."'><span class='zagolovok_sp'>".rep_back($result_body_book['book_name'])."</span></a>";}
                elseif($result_body_book['vidano'] == '1') {$book_name = "<a href='info.php?book_id=".$result_body_book['book_id']."' title='".$TEXT['book-vidano']."&nbsp;&#10073;&nbsp;".$TEXT['aut-viewtit']."'><span class='zagolovok_vid'>".rep_back($result_body_book['book_name'])."</span></a>";}
               else {$book_name = "<a href='info.php?book_id=".$result_body_book['book_id']."' title='".$TEXT['aut-viewtit']."'><span class='zagolovok'>".rep_back($result_body_book['book_name'])."</span></a>";}
               if($result_body_book['zakazano'] == '1') {$book_name = "<a href='info.php?book_id=".$result_body_book['book_id']."' title='".$TEXT['menu-btn32']."&nbsp;&#10073;&nbsp;".$TEXT['aut-viewtit']."'><span class='zagolovok_rez'>".rep_back($result_body_book['book_name'])."</span></a>";}

               echo "<tr>";
               echo "<td align= 'right' width='50%'>".$book_name.$e_book."</td>";
               echo "<td align= 'left' width='50%'>".$book."</td>";
               echo "</tr>";
               }
               else
               {
               $book = "";

               if($result_body_book['vidano'] == '3') {$book_name = "<a href='info.php?book_id=".$result_body_book['book_id']."' title='".$TEXT['book-show5']."&nbsp;&#10073;&nbsp;".$TEXT['aut-viewtit']."'><span class='zagolovok_zak'>".rep_back($result_body_book['book_name'])."</span></a>";}
                elseif($result_body_book['vidano'] == '2') {$book_name = "<a href='info.php?book_id=".$result_body_book['book_id']."' title='".$TEXT['book-show3']."&nbsp;&#10073;&nbsp;".$TEXT['aut-viewtit']."'><span class='zagolovok_sp'>".rep_back($result_body_book['book_name'])."</span></a>";}
                elseif($result_body_book['vidano'] == '1') {$book_name = "<a href='info.php?book_id=".$result_body_book['book_id']."' title='".$TEXT['book-vidano']."&nbsp;&#10073;&nbsp;".$TEXT['aut-viewtit']."'><span class='zagolovok_vid'>".rep_back($result_body_book['book_name'])."</span></a>";}
               else {$book_name = "<a href='info.php?book_id=".$result_body_book['book_id']."' title='".$TEXT['aut-viewtit']."'><span class='zagolovok'>".rep_back($result_body_book['book_name'])."</span></a>";}
               if($result_body_book['zakazano'] == '1') {$book_name = "<a href='info.php?book_id=".$result_body_book['book_id']."' title='".$TEXT['menu-btn32']."&nbsp;&#10073;&nbsp;".$TEXT['aut-viewtit']."'><span class='zagolovok_rez'>".rep_back($result_body_book['book_name'])."</span></a>";}

               echo "<tr>";
               echo "<td colspan='2' align= 'center' width='50%'>".$book_name.$e_book."</td>";
               echo "</tr>";
               }
             }
         }
?>
</tbody>
</table>
     <?php
       $query_count = mysqli_query($dbcnx,"SELECT COUNT(book_id) AS c_book_id FROM tbl_book WHERE `first_bt` = '".$_GET['bukva']."'");
	       $coun_rows = mysqli_fetch_array($query_count);
               $pag = $coun_rows['c_book_id']/10;
               if($pag<=1) {$pag = ceil($pag);}
                else
                {
                 ?>
                  <hr size="3" width="98%" />
                  <table align="center" border="0" cellpadding="0" cellspacing="0" width="60%" >
                   <tr align="center">
                    <td>
                <?php
                $pag=ceil($pag);
                $strn = $str-5;
                if($strn<1) {$strn=1;}
                $strk = $str+5;
                for($i=$strn; $i<=$pag; $i++)
                 {
                  if($i<=$strk)
                  {
                    if($i==$str)
                    {
                      $k = $i*10-10;
                      $kvis=$k+10;
                      $nvis=$k;
                      echo $pg = " <a class='zagolovok' href='alfbook-search.php?k=".$k."&amp;bukva=".$_GET['bukva']."' title='".$TEXT['tbl-details4'].$nvis.$TEXT['tbl-details3'].$kvis."'>".$i."</a>";
                    }
                    else
                    {
                    $k = $i*10-10;
                    $kvis=$k+10;
                    $nvis=$k;
                    echo $pg = " <a href='alfbook-search.php?k=".$k."&amp;bukva=".$_GET['bukva']."' title='".$TEXT['tbl-details4'].$nvis.$TEXT['tbl-details3'].$kvis."'>[".$i."]</a>";
                    }
                  }
                 }
                 ?>
                    <select name='k' onchange=window.location.href=this.options[this.selectedIndex].value;>
                    <?php
                    for($j=1; $j<=$pag; $j++)
                    {
                     $k = $j*10-10;
                     if($k == $_GET['k']) {echo "<option selected value=alfbook-search.php?k=".$k."&amp;bukva=".$_GET['bukva'].">".$j."</option>";}
                       else {echo "<option value=alfbook-search.php?k=".$k."&amp;bukva=".$_GET['bukva'].">".$j."</option>";}
                    }
                    ?>
                    </select>
                    </td>
                   </tr>
                  </table>
                 <?php
                }
require_once "utils/bottom.php";
?>